Bug 538389 - SELinux is preventing /bin/bash "getattr" access on /bin/uname.
Summary: SELinux is preventing /bin/bash "getattr" access on /bin/uname.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:d81a066121e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-18 13:15 UTC by abdeslam
Modified: 2009-12-02 04:36 UTC (History)
2 users (show)

Fixed In Version: 3.6.32-49.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-01 16:40:19 UTC


Attachments (Terms of Use)

Description abdeslam 2009-11-18 13:15:31 UTC
Zusammenfassung:

SELinux is preventing /bin/bash "getattr" access on /bin/uname.

Detaillierte Beschreibung:

SELinux denied access requested by sh. It is not expected that this access is
required by sh and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Zugriff erlauben:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Zusätzliche Informationen:

Quellkontext                  unconfined_u:system_r:fetchmail_t:s0
Zielkontext                   system_u:object_r:bin_t:s0
Zielobjekte                   /bin/uname [ file ]
Quelle                        sh
Quellen-Pfad                  /bin/bash
Port                          <Unbekannt>
Host                          (removed)
Quellen-RPM-Pakete            bash-4.0.33-1.fc12
Ziel-RPM-Pakete               coreutils-7.6-5.fc12
RPM-Richtlinie                selinux-policy-3.6.32-41.fc12
SELinux aktiviert             True
Richtlinienversion            targeted
MLS aktiviert                 True
Enforcing-Modus               Enforcing
Plugin-Name                   catchall
Hostname                      (removed)
Plattform                     Linux (removed)
                              2.6.31.5-127.fc12.i686.PAE #1 SMP Sat Nov 7
                              21:25:57 EST 2009 i686 i686
Anzahl der Alarme             2
Zuerst gesehen                Mi 18 Nov 2009 13:59:01 CET
Zuletzt gesehen               Mi 18 Nov 2009 13:59:01 CET
Lokale ID                     828fb238-4c3b-4cfb-8801-58dc190820df
Zeilennummern                 

Raw-Audit-Meldungen           

node=(removed) type=AVC msg=audit(1258549141.521:28): avc:  denied  { getattr } for  pid=3029 comm="sh" path="/bin/uname" dev=dm-0 ino=18210 scontext=unconfined_u:system_r:fetchmail_t:s0 tcontext=system_u:object_r:bin_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1258549141.521:28): arch=40000003 syscall=195 success=no exit=-13 a0=9e4f038 a1=bfa3c070 a2=f7aff4 a3=9e4f038 items=0 ppid=3028 pid=3029 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=1 comm="sh" exe="/bin/bash" subj=unconfined_u:system_r:fetchmail_t:s0 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,catchall,sh,fetchmail_t,bin_t,file,getattr
audit2allow suggests:

#============= fetchmail_t ==============
allow fetchmail_t bin_t:file getattr;

Comment 1 Daniel Walsh 2009-11-18 13:45:50 UTC
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-47.fc12.noarch

Comment 2 Fedora Update System 2009-11-23 23:35:39 UTC
selinux-policy-3.6.32-49.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-49.fc12

Comment 3 Fedora Update System 2009-11-25 15:18:33 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12131

Comment 4 Fedora Update System 2009-12-02 04:30:14 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.